<!DOCTYPE html>
    <html lang="es">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Acerca de</title>
        <style>
            /* Estilos generales */
            body {
                background-color: #eee;
                color: #333;
                font-family: Helvetica, Arial, sans-serif;
                line-height: 1.5;
                margin: 0;
                padding: 0;
            }

            /* Estilos específicos */
            .container {
                width: 95%;
                margin: 0 auto;
                padding: 20px;
                background-color: #fff;
                border: 1px solid #ddd;
                border-radius: 5px;
                box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            }

            .table-container {
                overflow-x: auto;
            }

            table {
                width: 100%;
                border-collapse: collapse;
                font-size: 16px;
                margin-bottom: 20px;
            }

            th, td {
                padding: 10px;
                border: 1px solid #ddd;
                text-align: center;
            }

            th {
                background-color: #5ca919;
                color: #ffffff;
            }

            tbody tr:nth-child(even) {
                background-color: #f2f2f2;
            }

            /* Estilos para el pie de página */
            .footer {
                text-align: center;
                margin-top: 20px;
                color: #706a7c;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <div class="container">
            <div style="text-align: center;">
                <a href="#">
                    <img src="https://beetmann.com/wp-content/uploads/2022/08/beetmann-logo-green.png" width="114" height="38" alt="Twitch">
                </a>
            </div>
            <div style="text-align: center; padding: 20px 0; font-size: 20px; color: #006633;">
                API DE AUTENTIFICACIÓN BEETMANN
            </div>
            <div class="table-container">
                <table>
                    <thead>
                        <tr>
                            <th>Tipo solicitud</th>
                            <th>Ruta</th>
                            <th>Cabeceras</th>
                            <th>Body</th>
                            <th>Respuesta</th>
                            <th>Descripción</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>POST</td>
                            <td>/user</td>
                            <td>No necesario</td>
                            <td>
                                {
                                    "username": "TU_USUARIO",
                                    "password": "TU_CONTRASEÑA"
                                }
                            </td>
                            <td>
                                {
                                    "token": "TU_TOKEN",
                                    "data": {
                                        "id": #ID,
                                        "nombre": "TU_NOMBRE",
                                        "nickName": "TU_NICKNAME",
                                        "celular": "TU_CELULAR",
                                        "correo": "TU_CORREO",
                                        "rol": "TU_ROL",
                                        "acciones": [
                                            {
                                                "id": 1,
                                                "nombre": "TU_ACCION1"
                                            }
                                        ]
                                    }
                                }
                            </td>
                            <td>Autentifica a un usuario por medio del usuario y la contraseña</td>
                        </tr>
                        <tr>
                            <td>POST</td>
                            <td>/phone</td>
                            <td>No necesario</td>
                            <td>
                                {
                                    "phone": "TU_NUMERO",
                                    "password": "TU_CONTRASEÑA"
                                }
                            </td>
                            <td>
                                {
                                    "token": "TU_TOKEN",
                                    "data": {
                                        "id": #ID,
                                        "nombre": "TU_NOMBRE",
                                        "nickName": "TU_NICKNAME",
                                        "celular": "TU_CELULAR",
                                        "correo": "TU_CORREO",
                                        "rol": "TU_ROL",
                                        "acciones": [
                                            {
                                                "id": 1,
                                                "nombre": "TU_ACCION1"
                                            }
                                        ]
                                    }
                                }
                            </td>
                            <td>Autentifica a un usuario por medio del celular y la contraseña</td>
                        </tr>
                        <tr>
                            <td>POST</td>
                            <td>/hook</td>
                            <td>No necesario</td>
                            <td>
                                {
                                    "Headers": {
                                        "Authorization": "Bearer TU_TOKEN"
                                    }
                                }
                            </td>
                            <td>
                                {
                                    "https://hasura.io/jwt/claims": {
                                        "X-Hasura-Role": "TU_ROL",
                                        "X-Hasura-Is-Owner": "TU_OWNER_OPTION",
                                        "X-Hasura-User-Id": "TU_ID"
                                    }
                                }
                            </td>
                            <td>Autentifica mediante token, diseñado especificamente para responder a hasura</td>
                        </tr>
                        <tr>
                            <td>POST</td>
                            <td>/refresh</td>
                            <td>{"Authorization": "Bearer TU_TOKEN"}</td>
                            <td>No necesario</td>
                            <td>
                                {
                                    "https://hasura.io/jwt/claims": {
                                        "X-Hasura-Role": "TU_ROL",
                                        "X-Hasura-Is-Owner": "TU_OWNER_OPTION",
                                        "X-Hasura-User-Id": "TU_ID"
                                    },
                                    "exp": TU_TIEMPO_EXPIRACION,
                                    "iat": TU_TIEMPO_CREACION_TOKEN,
                                    "storage_Key": "TU_LLAVE_CACHE"
                                }
                            </td>
                            <td>Aumenta el tiempo de vida de un token a 72 horas a partir del momento que se envia la solicitud</td>
                        </tr>
                        <tr>
                            <td>POST</td>
                            <td>/valid</td>
                            <td>{"Authorization": "Bearer TU_TOKEN"}</td>
                            <td>No necesario</td>
                            <td>
                                {
                                    "https://hasura.io/jwt/claims": {
                                        "X-Hasura-Role": "TU_ROL",
                                        "X-Hasura-Is-Owner": "TU_OWNER_OPTION",
                                        "X-Hasura-User-Id": "TU_ID"
                                    }
                                }
                            </td>
                            <td>Valida si un token es valido</td>
                        </tr>
                        <tr>
                            <td>POST</td>
                            <td>/token</td>
                            <td>{"Authorization": "Bearer TU_TOKEN"}</td>
                            <td>No necesario</td>
                            <td>
                                {
                                    "https://hasura.io/jwt/claims": {
                                        "X-Hasura-Role": "TU_ROL",
                                        "X-Hasura-Is-Owner": "TU_OWNER_OPTION",
                                        "X-Hasura-User-Id": "TU_ID"
                                    },
                                    "exp": TU_TIEMPO_EXPIRACION,
                                    "iat": TU_TIEMPO_CREACION_TOKEN,
                                    "storage_Key": "TU_LLAVE_CACHE"
                                }
                            </td>
                            <td>Sirve para parsear la información de un token</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="footer">
            © 2024 Data Engineer Beetmann, todos los derechos reservados
        </div>
    </body>
    </html>